# Ugly hack to make the installer stop arguing, since we got a dep on '>='.
%define _noVersionedDependencies 1
#
# Backward incompatible:
#
Conflicts: swup_manual-upgrade < 7.4.2-1tr

Summary: PostgreSQL client programs and libraries.
Name: postgresql
Version: 7.4.8
Release: 1tr
License: BSD
Group: Trustix Official
Source0: ftp://ftp.postgresql.org/pub/source/v%{version}/postgresql-%{version}.tar.bz2
Source2: postgresql.i18n
Source3: postgresql.init
Source6: postgresql-README.rpm-dist
Source7: postgresql-7.4-migitation-scripts.tar.gz
Source12: postgresql-dump.1.gz
Source14: rh-pgdump.sh
Source15: postgresql-bashprofile
Source16: postgresql.pg_hba.conf
Source17: postgresql.pg_ident.conf
Source18: postgresql.postgresql.conf
Source19: postgresql.sysconfig
Source20: postgresql.postmaster.args
# Not in use
Patch1: postgresql-7.3.3-fromdeb.patch
# Not in use
Patch2: postgresql-7.2.2-plperl.patch
# Not in use
Patch3: postgresql-7.2.2-bison.patch
# Cleanup
# Not in use
Patch4: postgresql-7.3.2-rpm.patch
#Patch6: postgresql-7.4.7-CAN-2005-0247
#Patch7: CAN-2005-1409
#Patch8: CAN-2005-1410
 
Requires: glibc shadow-utils initscripts zlib >= 1.1.4
Requires: %{name}-libs = %{version}
BuildRequires: python-devel perl gcc sed readline-devel ncurses-devel
BuildRequires: zlib-devel openssl-devel pam-devel flex bison
Buildroot: /var/tmp/%{name}-root
%define pyver $(echo `rpm -q python-devel --queryformat '%.3{VERSION}\\n'`)

%description
PostgreSQL is an advanced Object-Relational database management system
(DBMS) that supports almost all SQL constructs (including
transactions, subselects and user-defined types and functions). The
postgresql package includes the client programs and libraries that
you'll need to access a PostgreSQL DBMS server.  These PostgreSQL
client programs are programs that directly manipulate the internal
structure of PostgreSQL databases on a PostgreSQL server. These client
programs can be located on the same machine with the PostgreSQL
server, or may be on a remote machine which accesses a PostgreSQL
server over a network connection. This package contains the docs
in HTML for the whole package, as well as command-line utilities for
managing PostgreSQL databases on a PostgreSQL server. 

If you want to manipulate a PostgreSQL database on a remote PostgreSQL
server, you need this package. You also need to install this package
if you're installing the postgresql-server package.

%package libs
Summary: The shared libraries required for any PostgreSQL clients.
Group: Trustix Official

%description libs
The postgresql-libs package provides the essential shared libraries for any 
PostgreSQL client program or interface. You will need to install this package
to use any other PostgreSQL package or any clients that need to connect to a
PostgreSQL server.

%package server
Summary: The programs needed to create and run a PostgreSQL server.
Group: Trustix Official
Prereq: shadow-utils
Requires: %{name}-libs = %{version}
Requires: postgresql = %{version}, chkconfig, tsl-utils

%description server
The postgresql-server package includes the programs needed to create
and run a PostgreSQL server, which will in turn allow you to create
and maintain PostgreSQL databases.  PostgreSQL is an advanced
Object-Relational database management system (DBMS) that supports
almost all SQL constructs (including transactions, subselects and
user-defined types and functions). You should install
postgresql-server if you want to create and maintain your own
PostgreSQL databases and/or your own PostgreSQL server. You also need
to install the postgresql package.

%package docs
Summary: Extra documentation for PostgreSQL
Group: Trustix Official

%description docs
The postgresql-docs package includes the SGML source for the documentation
as well as the documentation in other formats, and some extra documentation.
Install this package if you want to help with the PostgreSQL documentation
project, or if you want to generate printed documentation.

%package contrib
Summary: Contributed source and binaries distributed with PostgreSQL
Group: Trustix Official
Requires: %{name}-libs = %{version}
Requires: postgresql = %{version}

%description contrib
The postgresql-contrib package includes the contrib tree distributed with
the PostgreSQL tarball.  Selected contrib modules are prebuilt.

%package devel
Summary: PostgreSQL development header files and libraries.
Group: Trustix Official
Requires: %{name}-libs = %{version}
Requires: postgresql = %{version}

%description devel
The postgresql-devel package contains the header files and libraries
needed to compile C or C++ applications which will directly interact
with a PostgreSQL database management server and the ecpg Embedded C
Postgres preprocessor. You need to install this package if you want to
develop applications which will interact with a PostgreSQL server. If
you're installing postgresql-server, you need to install this
package.

%package plperl
Summary: The PL/Perl procedural language for PostgreSQL.
Group: Trustix Official
Requires: %{name}-libs = %{version}
Requires: perl, postgresql = %{version}
Obsoletes: %{name}-perl

%description plperl
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-plperl package contains the the PL/Perl
procedural language for the backend.

%package python
Summary: Development module for Python code to access a PostgreSQL DB.
Group: Trustix Official
Requires: %{name}-libs = %{version}
Requires: python >= 1.5

%description python
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-python package includes a module for
developers to use when writing Python code for accessing a PostgreSQL
database.

%package test
Summary: The test suite distributed with PostgreSQL.
Group: Trustix Official
Requires: %{name}-contrib = %{version}
Requires: %{name}-libs = %{version}
Requires: postgresql = %{version}

%description test
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-test package includes the sources and pre-built
binaries of various tests for the PostgreSQL database management
system, including regression tests and benchmarks.

%prep
%setup -q

chmod -R go-w . || :
chown -R $USER. . || :

%build

CFLAGS=`echo $RPM_OPT_FLAGS|xargs -n 1|grep -v ffast-math|xargs -n 100`
export CXXFLAGS="$CFLAGS"

./configure \
	--datadir=/usr/share/postgresql \
	--docdir=%{_docdir} \
	--enable-multibyte \
	--disable-rpath \
	--enable-syslog\
	--includedir=%{_includedir}/postgresql \
	--mandir=%{_mandir} \
	--docdir=%{_docdir} \
	--prefix=/usr\
	--sysconfdir=/etc/sysconfig/postgresql.d \
	--with-odbc \
	--with-odbcinst=/etc/postgresql \
	--with-openssl \
	--with-pam \
	--with-perl \
	--with-python \
	--without-tcl \
	--without-tk

make COPT="$CFLAGS" all

make -C src/test all

# Build contrib stuff....
pushd contrib
make clean
make all
popd 


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

make DESTDIR=$RPM_BUILD_ROOT install

for i in src/pl/plperl src/pl/plpython; do
  make DESTDIR=$RPM_BUILD_ROOT -C $i install
done

make -C doc


# PostgreSQL defaults to only install HTML pages.
pushd $RPM_BUILD_ROOT%{_mandir}
tar xzf $RPM_BUILD_DIR/postgresql-%{version}/doc/man.tar.gz

# the postgresql-dump manpage.....
cp %{SOURCE12} man1
popd

# install the dump script
install -m755 %SOURCE14 $RPM_BUILD_ROOT/usr/bin/

# install dev headers.
make DESTDIR=$RPM_BUILD_ROOT install-all-headers

# copy over Makefile.global to the include dir....
install -m755 src/Makefile.global $RPM_BUILD_ROOT/usr/include/postgresql

# Fixup more permissions...
chmod 644 $RPM_BUILD_ROOT%{_mandir}/*/*
chmod +x $RPM_BUILD_ROOT/usr/lib/lib*.so*

# The initscripts....
install -d $RPM_BUILD_ROOT%{_initdir}
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_initdir}/postgresql

# PGDATA needs removal of group and world permissions due to pg_pwd hole.
install -d -m 700 $RPM_BUILD_ROOT/var/lib/postgresql/data

# backups of data go here...
install -d -m 700 $RPM_BUILD_ROOT/var/lib/postgresql/backups

# Logs
install -d -m 750 $RPM_BUILD_ROOT/var/log/postgresql

# Socket dir
install -d -m 750 $RPM_BUILD_ROOT/var/run/postgresql

# Sysconfig dir
install -d -m 700 $RPM_BUILD_ROOT/etc/sysconfig/postgresql.d

# Config dir
install -d -m 755 $RPM_BUILD_ROOT/etc/postgresql

# Install config files
install -m 600 %{SOURCE16} $RPM_BUILD_ROOT/etc/postgresql/pg_hba.conf
install -m 600 %{SOURCE17} $RPM_BUILD_ROOT/etc/postgresql/pg_ident.conf
install -m 600 %{SOURCE18} $RPM_BUILD_ROOT/etc/postgresql/postgresql.conf

# Install sysconfig files
install -d -m 755 $RPM_BUILD_ROOT/etc/sysconfig
install -m 644 %{SOURCE19} $RPM_BUILD_ROOT/etc/sysconfig/postgresql
install -m 644 %{SOURCE20} $RPM_BUILD_ROOT/etc/sysconfig/postmaster.args

# postgres' .bash_profile
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/var/lib/postgresql/initdb.i18n
install -m 644 %{SOURCE15} $RPM_BUILD_ROOT/var/lib/postgresql/.bash_profile

# tests. There are many files included here that are unnecessary, but include
# them anyway for completeness.
mkdir -p $RPM_BUILD_ROOT/usr/lib/postgresql/test
rm -f src/test/regress/*.so || :
cp -a src/test/regress $RPM_BUILD_ROOT/usr/lib/postgresql/test
install -m 0755 config/config.guess $RPM_BUILD_ROOT/usr/lib/postgresql/

# Upgrade scripts.
pushd $RPM_BUILD_ROOT
tar xzf %{SOURCE7}
popd

# no need for the OS2 client
rm -rf contrib/os2client

# Fix some more documentation
cp %{SOURCE6} README.rpm-dist
rm -rf doc/html
mv $RPM_BUILD_ROOT%{_docdir}/postgresql/html doc || :
mv doc/src/FAQ/*.html doc/html

# Install contrib stuff....
pushd contrib
make DESTDIR=$RPM_BUILD_ROOT install
popd 


# Fix a dangling symlink
mkdir -p $RPM_BUILD_ROOT/usr/include/postgresql/port
cp src/include/port/linux.h $RPM_BUILD_ROOT/usr/include/postgresql/port/
ln -sf port/linux.h $RPM_BUILD_ROOT/usr/include/postgresql/os.h

%pre
# Need to make backups of some executables if an upgrade
# They will be needed to do a dump of the old version's database.
# All output redirected to /dev/null.

if [ $1 -gt 1 ]
then
   mkdir -p /usr/lib/postgresql/backup > /dev/null
   pushd /usr/bin > /dev/null
   cp -fp postmaster postgres pg_dump pg_dumpall psql /usr/share/postgresql/backup > /dev/null 2>&1  || :
   popd > /dev/null
   pushd /usr/lib > /dev/null
   cp -fp libpq.* /usr/share/postgresql/backup > /dev/null 2>&1 || :
   popd > /dev/null
fi

%post libs -p /sbin/ldconfig 
%postun libs -p /sbin/ldconfig 

%pre server
if [ -z "`getent group postgres`" ]; then
	/usr/sbin/groupadd -g 26 postgres
fi
if [ -z "`getent passwd postgres`" ]; then
	/usr/sbin/useradd -M -g postgres -d /var/lib/postgresql -s /bin/bash \
	-c "PostgreSQL Server" -u 26 postgres
else
	/usr/sbin/usermod -d /var/lib/postgresql postgres
fi

# This used to be a file, but is now a directory.
mkdir -p /var/log/postgresql /etc/postgresql
chown postgres.postgres /var/log/postgresql /etc/postgresql
chmod 0750 /var/log/postgresql 
chmod 0755 /etc/postgresql


%post server
# This used to be a file, but is now a directory.
mkdir -p /var/log/postgresql
chown postgres.postgres /var/log/postgresql
chmod 0750 /var/log/postgresql

/sbin/ldconfig
/sbin/chkconfig --add postgresql
/sbin/restart_maybe postgresql

%preun server
if [ $1 = 0 ] ; then
	chkconfig --del postgresql
fi

%postun server
/sbin/ldconfig 

%post -p /sbin/ldconfig   plperl
%postun -p /sbin/ldconfig   plperl

%post test
chown -R postgres.postgres /usr/share/postgresql/test >/dev/null 2>&1 || :

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.rpm-dist
/usr/bin/clusterdb
/usr/bin/createdb
/usr/bin/createlang
/usr/bin/createuser
/usr/bin/dropdb
/usr/bin/droplang
/usr/bin/dropuser
/usr/bin/pg_dump
/usr/bin/pg_dumpall
/usr/bin/pg_encoding
/usr/bin/pg_id
/usr/bin/pg_restore
/usr/bin/psql
/usr/bin/vacuumdb
%{_mandir}/man1/clusterdb.1*
%{_mandir}/man1/createdb.1*
%{_mandir}/man1/createlang.1*
%{_mandir}/man1/createuser.1*
%{_mandir}/man1/dropdb.1*
%{_mandir}/man1/droplang.1*
%{_mandir}/man1/dropuser.1*
%{_mandir}/man1/pg_dump.1*
%{_mandir}/man1/pg_dumpall.1*
%{_mandir}/man1/pg_restore.1*
%{_mandir}/man1/psql.1*
%{_mandir}/man1/vacuumdb.1*
%dir %attr(700,postgres,postgres) /etc/postgresql
%config(noreplace) %attr(600,postgres,postgres) /etc/postgresql/postgresql.conf

%files docs
%defattr(-,root,root)
%doc doc/FAQ doc/KNOWN_BUGS doc/MISSING_FEATURES doc/README* 
%doc COPYRIGHT README HISTORY doc/bug.template
%doc doc/html
%{_mandir}/man7/*

%files contrib
%defattr(-,root,root)
%doc contrib/*/README.* contrib/spi/*.example
/usr/bin/ApplySnapshot
/usr/bin/CleanLog
/usr/bin/GetSyncID
/usr/bin/InitRservTest
/usr/bin/MasterAddTable
/usr/bin/MasterInit
/usr/bin/MasterSync
/usr/bin/PrepareSnapshot
/usr/bin/Replicate
/usr/bin/RservTest
/usr/bin/SlaveAddTable
/usr/bin/SlaveInit
/usr/bin/pg_autovacuum
/usr/bin/dbf2pg
/usr/bin/findoidjoins
/usr/bin/fti.pl
/usr/bin/make_oidjoins_check
/usr/bin/oid2name
/usr/bin/pg_dumplo
/usr/bin/pg_logger
/usr/bin/pgbench
/usr/bin/vacuumlo
/usr/lib/postgresql/_int.so
##/usr/lib/postgresql/array_iterator.so
/usr/lib/postgresql/autoinc.so
/usr/lib/postgresql/btree_gist.so
/usr/lib/postgresql/chkpass.so
/usr/lib/postgresql/cube.so
/usr/lib/postgresql/dblink.so
/usr/lib/postgresql/dbsize.so
/usr/lib/postgresql/earthdistance.so
/usr/lib/postgresql/fti.so
/usr/lib/postgresql/fuzzystrmatch.so
/usr/lib/postgresql/insert_username.so
/usr/lib/postgresql/int_aggregate.so
/usr/lib/postgresql/isbn_issn.so
/usr/lib/postgresql/lo.so
/usr/lib/postgresql/ltree.so
/usr/lib/postgresql/misc_utils.so
/usr/lib/postgresql/moddatetime.so
/usr/lib/postgresql/noup.so
/usr/lib/postgresql/pending.so
/usr/lib/postgresql/pgcrypto.so
/usr/lib/postgresql/pgstattuple.so
/usr/lib/postgresql/refint.so
/usr/lib/postgresql/rserv.so
/usr/lib/postgresql/rtree_gist.so
/usr/lib/postgresql/seg.so
/usr/lib/postgresql/string_io.so
/usr/lib/postgresql/tablefunc.so
/usr/lib/postgresql/timetravel.so
/usr/lib/postgresql/tsearch.so
/usr/lib/postgresql/tsearch2.so
/usr/lib/postgresql/user_locks.so
/usr/share/postgresql/contrib

%files libs
%defattr(-,root,root)
%dir /usr/lib/postgresql
%dir /usr/share/postgresql
/usr/lib/libecpg.so.*
/usr/lib/libecpg_compat.so.*
/usr/lib/libpgtypes.so.*
/usr/lib/libpq.so.*

%files server
%defattr(-,root,root)
%{_initdir}/postgresql
/usr/bin/initdb
/usr/bin/initlocation
/usr/bin/ipcclean
/usr/bin/pg_controldata
/usr/bin/pg_ctl
/usr/bin/pg_resetxlog
/usr/bin/postgres
/usr/bin/postgresql-dump
/usr/bin/postmaster
/usr/bin/rh-pgdump.sh
/usr/lib/postgresql/ascii_and_mic.so
/usr/lib/postgresql/cyrillic_and_mic.so
/usr/lib/postgresql/euc_*.so
/usr/lib/postgresql/latin2_and_win1250.so
/usr/lib/postgresql/latin_and_mic.so
/usr/lib/postgresql/plpgsql.so
/usr/lib/postgresql/utf8_*.so
%{_mandir}/man1/initdb.1*
%{_mandir}/man1/initlocation.1*
%{_mandir}/man1/ipcclean.1*
%{_mandir}/man1/pg_ctl.1*
%{_mandir}/man1/pg_controldata.1.gz
%{_mandir}/man1/postgres.1*
%{_mandir}/man1/postmaster.1*
%{_mandir}/man1/pg_resetxlog.1.gz
%{_mandir}/man1/postgresql-dump.1*
/usr/share/postgresql/postgres.*
/usr/share/postgresql/conversion_create.sql
/usr/share/postgresql/information_schema.sql
/usr/share/postgresql/sql_features.txt
/usr/share/postgresql/*.sample
%attr(700,postgres,postgres) %dir /usr/share/postgresql/backup
/usr/share/postgresql/backup/pg_dumpall_new
%attr(700,postgres,postgres) %dir /var/lib/postgresql
%attr(700,postgres,postgres) %dir /var/lib/postgresql/data
%attr(700,postgres,postgres) %dir /var/lib/postgresql/backups
%attr(700,root,root) %dir /etc/sysconfig/postgresql.d
%attr(644,postgres,postgres) %config(noreplace) /var/lib/postgresql/.bash_profile
%attr(644,postgres,postgres) %config(noreplace) /var/lib/postgresql/initdb.i18n
%attr(750,postgres,postgres) %dir /var/log/postgresql
%attr(755,postgres,postgres) %dir /var/run/postgresql
%attr(600,postgres,postgres) %config(noreplace) /etc/postgresql/pg_*
%config(noreplace) /etc/sysconfig/postgresql
%config(noreplace) /etc/sysconfig/postmaster.args

%files devel
%defattr(-,root,root)
/usr/bin/ecpg
/usr/bin/pg_config
/usr/include/postgresql
/usr/lib/libecpg.a
/usr/lib/libecpg.so
/usr/lib/libpq.a
/usr/lib/libpq.so
/usr/lib/libecpg_compat.a
/usr/lib/libecpg_compat.so
/usr/lib/libpgtypes.a
/usr/lib/libpgtypes.so
%{_mandir}/man1/ecpg.1*
%{_mandir}/man1/pg_config.1*

%files plperl
%defattr(-,root,root)
/usr/lib/postgresql/plperl.so

%files python
%defattr(-,root,root)
/usr/lib/postgresql/plpython.so

%files test
%defattr(-,postgres,postgres)
%attr(755,postgres,postgres)/usr/lib/postgresql/config.guess
%attr(-,postgres,postgres)/usr/lib/postgresql/test


%changelog
%changelog
* Wed May 11 2005 Ajith Thampi <ajith at comodo dot com> 7.4.8-1tr
- New Upstream
- Vendor Security Fix for CAN-2005-1409 and CAN-2005-1410

* Fri May 06 2005 Ajith Thampi <ajith at comodo dot com> 7.4.7-3tr
- Fix Character Conversion Vulnerability, gives public EXECUTE access to
  certain character conversion functions, which allows unprivileged
  users to call those functions with malicious values, with unknown
  impact. (CAN-2005-1409).
- Fix DOS Vulnerability, the (1) dex_init, (2) snb_en_init, (3) snb_ru_init,
  (4) spell_init, and (5) syn_init functions as "internal" even when they
  do not take an internal argument, which allows attackers to cause a
  denial of service (application crash). (CAN-2005-1410)

* Fri Apr 22 2005 Nived Gopalan <nived at comodo dot com> 7.4.7-2tr
- Fix CAN-2005-0247 , Bug #431
- Already fixes CAN-2005-0245

* Fri Feb  4 2005 Erlend Midttun <erlendbm at trustix dot org> 7.4.7-1tr
- New upstream.  Fixes local privilege escalation discovered by John Heasman
  Any user could use the LOAD extention to load any shared library into
  the server.

* Sun Dec 12 2004 Erlend Midttun <erlendbm at trustix dot org> 7.4.6-3tr
- Now echo in stop of initscript

* Sat Nov 13 2004 Erlend Midttun <erlendbm at trustix dot org>
- Add missing buildreq's.

* Wed Sep 29 2004 Oystein Viggen <oysteivi at trustix dot com>
- Patch tempfile issue 

* Thu Aug 26 2004 Erlend Midttun <erlendbm at trustix dot org> 7.4.5-1tr
- New upstream that fixes potential data loss bug.

* Mon Mar 15 2004 Chr. Toldnes <christht at trustix dot org> 7.4.2-1tr
- New upstream version
- Binary incompatible with all earier versions, thus manual-upgrade

* Tue Feb  3 2004 Chr. Toldnes <christht at trustix dot org> 7.4.1-3tr
- Removed support for tcl
- Cleanup

* Tue Jan 20 2004 Janke Rnnblom <janron at trustix dot org> 7.4.1-2jr
- missing information_schema.sql, sql_features.txt
- missing buildrequire for readline-devel, ncurses-devel, zlib-devel, 
  openssl-devel, pam-devel
- /etc/sysconfig/postgresql has wrong paths, should be postgresql now
- /etc/init.d/postgresql had 7.3 instead of 7.4 which caused a error 
  message on startup

* Mon Jan 19 2004 Erlend Midttun <erlendbm at trustix dot org> 7.4.1-1tr
- New upstream.

* Tue Nov 25 2003 Erlend Midttun <erlendbm at trustix dot org> 7.4-1tr
- New upstream.  Will need a dump of your current databases to work.
- Now use "postgresql" consistently.
- Removed jdbc drivers.

* Thu Nov  6 2003 Chr. Toldnes <christht at trustix dot org> 7.3.4-1tr
- New upstream version fixes buffer overflow.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 7.3.3-2tr
- Big rebuild

* Tue Jun 10 2003 Erlend Midttun <erlendbm at trustix dot com> 7.3.3-1em
- New upstream.
- No longer delete postgreq user/group when uninstalling.
- Make initscript run initdb correctly.

* Thu Jun  5 2003 Erlend Midttun <erlendbm at trustix dot com> 7.3.2-9em
- Try to resolve file conflicts.

* Sat May 10 2003 Gerald Dachs <gda at trustix dot org> 7.3.2-8gd
- moved /etc/postgresql/postgresql.conf to package postgresql

* Fri May  9 2003 Gerald Dachs <gda at trustix dot org> 7.3.2-7gd
- changed /var/run/pgsql to /var/run/postgresql
- added config files so that postgresql starts out of the box

* Sat May  3 2003 Erlend Midttun <erlendbm at trustix dot com> 7.3.2-6em
- Try to fix the /var/log/pgsql file to directory conversion again.

* Tue Mar 29 2003 Christian H. Toldnes <christht at trustix dot com> 7.3.2-5ct
- Added some Debian patches. This one needs _lots_ of testing now, also
  we should add a initscript configfile which control what interfaces to bind
  to.

* Mon Mar 28 2003 Erlend Midttun <erlendbm at trustix dot com> 7.3.2-4em
- Nothing

* Mon Mar 28 2003 Erlend Midttun <erlendbm at trustix dot com> 7.3.2-3em
- Changed init script to hopefully work this time.
- Removed i18n stuff from init script and moved it into the rpm.
- Added logging.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 7.3.2-2em
- Rebuilt against glibc 2.3.2.

* Thu Mar 13 2003 Erlend Midttun <erlendbm at trustix dot com> 7.3.2-1em
- Upgraded to 7.3.2.
- Threw out the C++ and the ODBC interfaces as they are no longer part
  of the main PostgreSQL package.

* Wed Jan 22 2003 Tor Hveem <torh at trustix dot org> 7.2.2-7th
- fixed $INITLOCK

* Fri Jan 17 2003 Gerald Dachs <gda at trustix dot org> 7.2.2-6gd
- recompiled against openssl-0.9.7

* Wed Dec  4 2002 Christian H. Toldnes <christht at trustix dot com> 7.2.2-5ct
- postgresql initscript now follows policy.

* Mon Nov  4 2002 Erlend Midttun <erlendbm at trustix dot com> 7.2.2-4em
- New bison.

* Mon Sep 23 2002 Erlend Midttun <erlendbm at trustix dot com> 7.2.2-3em
- The file patch2 used to patch is dynamically generated.  Therefore
  the patch fails every now and again -> Making it a sed script instead.

* Wed Sep 11 2002 Erlend Midttun <erlendbm at trustix dot com> 7.2.2-2em
- Fixed includes.

* Wed Sep  4 2002 Erlend Midttun <erlendbm at trustix dot com> 7.2.2-1tr
- New upstream version, fixes four security holes.  From the advisory:
- in handling long datetime input
- in repeat()
- in lpad() and rpad() with multibyte
- in SET TIME ZONE and TZ env var

* Fri Aug 23 2002 Christian H. Toldnes <christht at trustix dot com> 7.2.1-1ct
- New upstream version
- Major cleanup, but still a bit messy
- Built for TSL-2.0 on gcc-3.2

* Mon Mar 18 2002 Christian H. Toldnes <christht at trustix dot com>
- Added "%define _noVersionedDependencies 1" to fix problems in the installer
  that arised when we added "zlib >= 1.1.4"

* Fri Mar 15 2002 Christian H. Toldnes <christht at trustix dot com>
- Package cleanup, new release to ensure restart due to broken zlib.
- Added Prereq zlib >= 1.1.4

* Thu Jul  5 2001 Oystein Viggen <oysteivi at trustix dot com>
- Although we want it, we don't have python 2.0 yet.

* Mon Jun 18 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- Added patch for python 2.0 support.

* Mon Jun 18 2001 Oystein Viggen <oysteivi at trustix dot com>
- Fix problem with postgres account creation.

* Mon Jun 11 2001 Oystein Viggen <oysteivi at trustix dot com>
- Snapshot for TSL
- Don't include tk and jdbc (java)

* Sat Jun 09 2001 Lamar Owen <lamar.owen@wgcr.org>
- Sync up with Trond's set.

* Thu Jun  7 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Don't create postgres' .bashrc from the server post script: include it instead
- Move the test packages from /usr/share/pgsql to /usr/lib/pgsql
- Move the symlinks libpq.so, libecpg.so, libpq++.so and libpgeasy.so to the devel subpackage from 
  libs
- Source the i18n data from the .bashrc instead of in the initscript

* Mon May 28 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Handle i18n for database startup - backend needs to have the same locale everytime, 
  but this certainly can't be hardcoded to C either
- Fix stop, restart in initscript (#42217)
- Make database init _much_ less verbose
- other minor fixes to the initscript

* Fri May 25 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 7.1.2

* Thu May 24 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1.2-0.1.1.PGDG PRERELEASE
- Changed versioning and release numbering a little for better flexibility,
-- particularly for distribution packagers.
- Release numbering comment at top of spec, where it's more useful.
- Trimmed changelog to 7.1.x. See the last 7.0.3's specfile for the 7.0
-- changlog, and the last 6.5.3's specfile for the changelog prior to
-- 7.0.

* Sun May 20 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1.1-4.PGDG
- _really_ got Python version agnosticism working.

* Sat May 19 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1.1-3.PGDG Release
- Python version agnosticism.....

* Tue May 15 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Use openssl
- Make it obsolete subpackages if they aren't built

* Mon May 14 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1.1-2.PGDG Release.
- Appended .PGDG to release string to differentiate our RPM set from the others.
- /bin/sh fix in initscript
- README.rpm-dist updates.

* Mon May 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 7.1.1-0.7
- Rebuild with new readline

* Thu May 10 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Initial 7.1.1

* Mon May  7 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Specify shell when running commands through su in the initscript, to avoid problems 
  when people switch the postgres user to use tcsh

* Thu Apr 19 2001 Trond Eivind Glomsrd <teg@redhat.com>
- JDBC driver for Postgresql 7.1

* Sun Apr 15 2001 Trond Eivind Glomsrd <teg@redhat.com>
- slightly different versioning scheming, will go back to the official
  later when I'm sure the package is ready to use

* Fri Apr 13 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1 RELEASE
- 7.1-1 RPM RELEASE
- Change to COPTS -- strip out -ffastmath -- Considered Harmful.
- Back to old versioning scheme, kept teg's other fixes.
- README.rpm-dist updated.
- PGVERSION updated all-around (hopefully!)
- Couple of fixes from Peter E.
- Rearrange dependencies -- only the -libs subpackage is required for most stuff
- Removed broken and confusing logrotate script.

* Mon Apr  9 2001 Trond Eivind Glomsrd <teg@redhat.com>
- chown considered harmful - removed
- fix dangling symlimks (pg_crc.c)
- libpq.so changes for maximum compatiblity
- different versioning scheme, to avoid trouble later
- remove temporary perl file from the file list
- fix spelling error in tcl description
- mark odbcinst.ini as a config file
- use %%defattr on packages which didn't have it

* Sat Apr 07 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- Integrated the PL/Perl stuff from Karl DeBisschop --conditional.
- Packaging reorg: added contrib and docs subpackages.
- Removed sgml source docs from main package --> docs subpackage.
- Removed contrib tree from main package --> contrib subpackage.
- Contrib tree is now prebuilt -- HOWEVER, very little install work is
-- currently done with this. 

* Fri Apr 06 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- Quickie RC3.  There will be a 7.1RC3-2 shortly with other stuff.

* Tue Apr 03 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- RC2
- eliminate versioning information for ancilliary files in prep for CVS.
- Fix docs mixup.

* Tue Mar 27 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- RC1 quickie.

* Tue Mar 20 2001 Lamar Owen <lamar@postgresql.org>
- Beta 6 initial build.
- Use make install-all-headers instead of cpio hack for devel headers.
- Split out the libs into the libs subpackage.
- Updated initscript to use pg_ctl to stop
- Updated initscript to initdb and start postmaster with LC_ALL=C to 
-- prevent index corruption.

* Sun Jan 28 2001 Lamar Owen <lamar@postgresql.org>
- Beta4
- Return to 'pgsql' directories instead of 'postgresql'
- Better perl patches.

* Mon Jan 15 2001 Lamar Owen <lamar@postgresql.org>
- Edit patches to get rid of some cruft.
- Eliminate some more pre-7.1 specfile baggage that is no longer necessary.
- Moved pg_id to server
- added Makefile.global and pg_config to devel
- Corrected /usr/include/pgsql to /usr/include/postgresql
- Fixed some configure options.  Will be trying the configure macro next release
- Since it is terminally ill in this version pg_upgrade is _gone_.
- Thanks to Peter E for a good review.

* Sun Jan 14 2001 Lamar Owen <lamar@postgresql.org>
- Running regression. 1 on the release-o-meter.
- Minor patches to get regression running right.  
- Initscript tweaking -- the old test for a database structure fails with 7.1's new structure.

* Sat Jan 13 2001 Lamar Owen <lamar@postgresql.org>
- Perl 5 needs to be built with PREFIX set on the Makefile, not GNUmakefile....
- The 7.1 build is different from the 7.0 build -- see the configure line.
- NOTE: many files that used to be in /usr/share/postgresql are now in /usr/share/postgresql!
- by request, conditional packages are now supported. See the top of the spec.
- Fixed the server postinstall problems.

* Mon Jan 08 2001 Lamar Owen <lamar@postgresql.org>
- First 7.1 beta test-build
